#include <stdio.h>

int main()
{
    int n;
    int i;
    int temp;
    int broj;
    int max = 0;
    int maxPos;
    int min;
    int minPos;
    int secMin;
    int secMinPos;
    int br=0;
    
    scanf("%d",&n);
    
    int knjige[n];
    
    for(i=0;i<n;i++){
        scanf("%d",&knjige[i]);
        if(knjige[i] > max){
            max = knjige[i];
            maxPos = i;
        }
    }
    min = knjige[0];
    for(i = 0;i<n;i++){
        if(knjige[i]<min){
            min = knjige[i];
            minPos = knjige[i];
        }
    }
    if(minPos != 0 ){
        secMin = knjige[minPos - 1];
    } else{
        secMin = knjige[minPos + 1];
    }
    for(i=0;i<n;i++){
        if(knjige[i] == min){
            br++;
        }
        if((knjige[i]<secMin) && (knjige[i] != min)){
         secMin = knjige[i];
         secMinPos = i;
        }   
    }
    if(br>1){
        secMin = min;
        secMinPos = minPos;
        br = 0;
    }
    if(n==2){
        temp = knjige[0];
        knjige[0] = knjige[1];
        knjige[1] = temp;
    } else{
        if(maxPos == 0){
            knjige[minPos] = secMin;
            knjige[secMinPos] = min;
            
        } else{
            temp = knjige[0];
            knjige[0] = knjige[maxPos];   
            knjige[maxPos] = temp;
        }
    }
    for(i=0;i<n;i++){
        printf("%d ",knjige[i]);
    }
    
    
    return 0;
}